package com.ztmap.project.zhny.lotuscbcjl.service;

import java.util.List;
import com.ztmap.project.zhny.lotuscbcjl.domain.TLotusCbcjl;

/**
 * 抄采集率Service接口
 * 
 * @author ztmap
 * @date 2023-11-16
 */
public interface ITLotusCbcjlService 
{
    /**
     * 查询抄采集率
     * 
     * @param id 抄采集率ID
     * @return 抄采集率
     */
    public TLotusCbcjl selectTLotusCbcjlById(Long id);

    /**
     * 查询抄采集率列表
     * 
     * @param tLotusCbcjl 抄采集率
     * @return 抄采集率集合
     */
    public List<TLotusCbcjl> selectTLotusCbcjlList(TLotusCbcjl tLotusCbcjl);

    /**
     * 新增抄采集率
     * 
     * @param tLotusCbcjl 抄采集率
     * @return 结果
     */
    public int insertTLotusCbcjl(TLotusCbcjl tLotusCbcjl);

    /**
     * 修改抄采集率
     * 
     * @param tLotusCbcjl 抄采集率
     * @return 结果
     */
    public int updateTLotusCbcjl(TLotusCbcjl tLotusCbcjl);

    /**
     * 批量删除抄采集率
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTLotusCbcjlByIds(String ids);

    /**
     * 删除抄采集率信息
     * 
     * @param id 抄采集率ID
     * @return 结果
     */
    public int deleteTLotusCbcjlById(Long id);
}
